@charset "UTF-8";

.search-by-json {
    width: 100%;
    position: relative;
}

.search-by-json .d-none {
    display: none !important;
}

.search-by-json .show-hide {
    transition: all .7s;
}

.search-by-json .fast-hide {
    opacity: 0;
    overflow: hidden;
    visibility: hidden;
}

.search-by-json .fast-show {
    opacity: 1;
    visibility: visible;
}

.empty .icon-close {
    font-size: 0.75rem;
}

.search-wrap {
    box-shadow: 0 4px 8px #0000000a;
    width: 100%;
    border-radius: 8px;
}

.search-box {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.search-by-json .input {
    position: relative;
    border-radius: 8px;
    transition: 0.4s ease;
    display: flex;
    align-items: center;
    border: 1px solid transparent;
    background-color: #FFFFFF;
}

.top-title-search .search-btn-wrapper .button {
    font-size: 12px;
    padding: 2px 6px;
}

.search-by-json .input input {
    width: 100%;
    height: 100%;
    outline: none;
    border: none;
    background: transparent;
    padding: 0 1rem 0 0.5rem;
    color: #212121;
    font-size: 13px;
    min-width: 245px;
    min-height: 3rem;
}

.search-by-json .input:has(input:focus) {
    border-color: var(--color2);
}

.search-by-json .input input::placeholder {
    color: #7B7B7B;
    font-size: 12px;
}

.search-by-json .input .empty {
    font-size: 19px;
    position: absolute;
    top: 0;
    left: 10px;
    cursor: pointer;
    color: var(--color1);
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.search-by-json .input .icon {
    cursor: pointer;
    color: #121212;
    font-size: 20px;
    min-width: 42px;
    height: 42px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}

.search-by-json .input.active .icon {
    color: var(--color3);
}

.search-by-json .input .icon img {
    width: 20px;
}

.search-by-json .body {
    position: absolute;
    z-index: 99999;
    width: 100%;
    background: #FFF;
    border: 1px solid rgba(78, 54, 70, 0.36);
    border-radius: 12px;
    margin-top: 5px;
    text-align: center;
    padding: 10px;
    margin-bottom: 10px;
    left: 0;
    max-height: 95vh;
    overflow: auto;
}

.search-by-json .body .is-search .list-category ul {
    overflow-x: auto;
    text-wrap: nowrap;
    -webkit-overflow-scrolling: auto;
    scrollbar-color: var(--color1) #C2D2E4;
    scrollbar-width: thin !important;
    padding-bottom: 15px;
}

.search-wrap .products-alls {
    gap: 8px;
    color: var(--color1);
    transition: 0.3s;
    font-size: 14px;
}

.search-wrap .products-alls:hover {
    color: var(--color2);
    gap: 12px;
}

.search-wrap .posts-alls {
    gap: 8px;
    color: var(--color2);
    transition: 0.3s;
    font-size: 14px;
}

.search-wrap .posts-alls:hover {
    color: var(--color1);
    gap: 12px;
}

.list-services,
.list-posts,
.list-products {
    overflow: auto;
    max-height: 250px;
    padding-left: 15px;
}

/* width */
.list-services::-webkit-scrollbar,
.list-posts::-webkit-scrollbar,
.list-products::-webkit-scrollbar {
    height: 4px !important;
    width: .3rem !important;
}

/* Track */
.list-services::-webkit-scrollbar-track,
.list-posts::-webkit-scrollbar-track,
.list-products::-webkit-scrollbar-track {
    background: #eae8e4 !important;
    height: 4px !important;
    border-radius: 0.5rem !important;
}

/* Handle */
.list-services::-webkit-scrollbar-thumb,
.list-posts::-webkit-scrollbar-thumb,
.list-products::-webkit-scrollbar-thumb {
    background: var(--color1) !important;
    height: 4px !important;
    border-radius: 0.5rem !important;
}

/* Handle on hover */
.list-services::-webkit-scrollbar-thumb:hover,
.list-posts::-webkit-scrollbar-thumb:hover,
.list-products::-webkit-scrollbar-thumb:hover {
    background: var(--color2);
}

.search-by-json .body .default p {
    text-align: center;
    padding-top: 10px;
    color: #8b8b8b;
}

.search-by-json .body .default .popular,
.search-by-json .body .is-search {
    text-align: right;
}

.search-by-json .body .default .popular .title-popular {
    margin-top: 20px;
    font-size: 15px;
}

.search-by-json .body .default .popular .menu-popular ul {
    margin: 10px 0;
    display: flex;
    flex-wrap: wrap;
    gap: 15px 10px;
}

.search-by-json .body .is-search .list-category ul li {
    margin: 2px .125rem;
    text-align: center;
    display: inline-block;
}

.search-by-json .body .default .popular .menu-popular ul li a,
.search-by-json .body .is-search .list-category ul li a {
    background: #F5F5F5;
    border-radius: 50px;
    font-size: 13px;
    color: #121212;
    padding: 8px 15px;
    transition: 0.4s ease;
}

.search-by-json .body .default .popular .menu-popular ul li a:hover,
.search-by-json .body .is-search .list-category ul li a:hover {
    background-color: var(--color2);
    color: #fff;
}

.search-by-json .body .not-found {
    color: var(--color2);
    font-size: 16px;
    margin: 50px 0;
}

.search-by-json .body .is-search {
    padding: 5px;
}

.search-by-json .body .is-search .category {
    margin-bottom: 10px;
}

.search-by-json .body .is-search .title-services,
.search-by-json .body .is-search .title-posts,
.search-by-json .body .is-search .title-category,
.search-by-json .body .is-search .title-products {
    font-size: 18px;
    text-align: right;
    margin: 5px 0;
    color: #121212;
}

.search-by-json .body .is-search .item {
    border: 1px solid #E6E6E6;
    display: grid;
    grid-template-columns: 2fr 8fr 3fr;
    padding: 10px;
    align-items: center;
    gap: 15px;
    border-radius: 6px;
    margin: 10px 0;
    min-height: 80px;
}

.search-by-json .body .is-search .item:hover {
    border-color: rgb(1 116 190 / 16%);
    color: var(--color2);
}

.search-by-json .body .is-search .item .img {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    overflow: hidden;
}

.search-by-json .item-link {
    color: #121212;
    position: relative;
    text-align: left;
    display: inline-flex;
    gap: 10px;
    align-items: center;
    justify-content: flex-end;
    margin-left: 10px;
}

.search-by-json .body .is-search .products .item:hover .item-link i {
    color: var(--color1);
}

.list-products .icon-service {
    color: var(--color2);
}

.search-by-json .body .is-search .item:hover .item-link i {
    color: var(--color2);
}

.search-by-json .item-link i {
    font-size: 1rem;
    transition: 0.3s
}

.search-by-json .body .is-search.item .img img {
    width: 64px;
}

.search-by-json .body .is-search .item .title {
    font-size: 14px;
    line-height: 1.5rem;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    color: #7B7B7B;
}

.search-by-json .body .is-search .list-products .item .price {
    text-align: left;
    align-items: flex-end;
}

.search-by-json .body .is-search .list-products .item .price .discount {
    display: inline;
    background: #d53343;
    color: #FFF;
    padding: 5px;
    border-radius: 5px;
    margin-left: 5px;
}

.search-by-json .body .is-search .list-products .item .woocommerce-Price-amount bdi {
    font-size: 14px;
}

.search-by-json .body .is-search .list-products .item del .woocommerce-Price-amount bdi {
    font-size: 12px;
}

.search-by-json .body .is-search .list-products .item .woocommerce-Price-currencySymbol {
    font-size: 13px;
    font-weight: normal;
}

.search-by-json .body .is-search .list-products .item del .woocommerce-Price-amount bdi .woocommerce-Price-currencySymbol {
    font-size: 10px;
    font-weight: normal;
}

.search-banner {
    border-radius: 12px;
    overflow: hidden;
}

.search-banner img {
    width: 100%;
    border-radius: 12px;
}

@media screen and (min-width: 768px) {
    .search-by-json .body {
        width: 100%;
    }
}

@media screen and (min-width: 992px) {
    .popup-footer-search {
        width: 175%;
        display: none;
    }
}

@media screen and (max-width: 992px) {
    .search-by-json .body {
        max-height: 85vh
    }

    #search-by-json-form-mobile {
        display: none;
    }

    #search-by-json-mobile {
        position: fixed;
        top: 2rem;
        right: 1rem;
        left: 1rem;
        margin: auto;
        z-index: 9999999;
        width: calc(100% - 2rem);
    }

    .search-by-json .input input {
        display: block;
    }

    .search-by-json .input {
        border: 1px solid var(--color1);
        background: #fff;
    }

    .search-by-json .input .icon {
        color: var(--color1);
        background-color: transparent;
    }
}

@media screen and (max-width: 768px) {
    .search-by-json .body .is-search .list-products .item {
        display: grid;
        grid-template-columns: 2fr 6fr;
        grid-template-rows: repeat(2, auto);
        gap: 0 10px;
    }

    .search-by-json .body .is-search .list-products .item .img {
        grid-area: 1 / 1 / 3 / 2;
    }

    .search-by-json .body .is-search .list-products .item .title {
        grid-area: 1 / 2 / 2 / 3;
    }

    .search-by-json .body .is-search .list-products .item .price {
        grid-area: 2 / 2 / 3 / 3;
    }
}

@media screen and (max-width: 576px) {
    .search-by-json .body {
        width: 160%;
        max-width: 100%;
        right: 50%;
        transform: translateX(50%);
    }

}

@media screen and (max-width: 370px) {
    .search-by-json .input input {
        min-width: 258px;
    }

}

.search-by-json .body::-webkit-scrollbar {
    width: .5rem;
}

/* Track */
.search-by-json .body::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 0.5rem;
}

/* Handle */
.search-by-json .body::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 0.5rem;
}

/* Handle on hover */
.search-by-json .body::-webkit-scrollbar-thumb:hover {
    background: #555;
}